Subject: Release of Net::FTP v1.17
From: Graham Barr <[email-masked]>
Date: 26 Mar 1996 13:37:26 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

I have just uploaded to CPAN an new release of Net::FTP, it should be
avaliable on CPAN mirror sites soon

This release should fix all bugs that have been recently reported. If it
does not fix a bug/problem that you reported I appologise, but please 
re-submit the bug report

The latest changes are:

	o Removed parse_dir and file_mode as there is now a File::Listing
	  package avaliable with libwww which can do directory listings

	o Fixed the linkext problem with Makefile.PL

	o Included Net::Netrc which seemed to be missing from 1.15b

This is the README file for Net::FTP

Net::FTP is a perl5 package which implements the client side of
a FTP connection as per RFC959

In order to use this package you will need Perl version 5.001m or
better.

See lib/Net/FTP.pm for details of the library. See ChangeLog for recent
changes. POD style documentation is included in all/most modules and scripts.
You should be able to use the 'perldoc' utility to extract documentation
from these files.

Before building this extension you will require the following modules. The 
building of the Makefile will abort if you do not have the required versions.
All of these modules should be avaliable from CPAN (see README.CPAN for 
more information)

   Socket v1.03

You install the library by running these commands:

   perl Makefile.PL
   make
   make test
   make install

You can edit the configuration section of Makefile.PL to select which
programs to install in addition to the library itself.  If you don't
want to install any programs at all then make the initial Makefile with:

   perl Makefile.PL -l

Please report any bugs/suggestions to <[email-masked]>

When reporting bugs/problems please, if possible, include a transcript of
a run with the Debug option turned on.

Copyright 1996 Graham Barr. All rights reserved.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

This release has got a significant number of changes sine the last release
so is probably prone to a few bugs.

*** NOTE *** NOTE *** NOTE *** NOTE *** NOTE *** NOTE *** NOTE *** NOTE ***

My intention is to attempt to make this package so that it can be used in
a non-blocking manner. This may, in future, cause the interface to change.

Although I will try to limit the impact of this I cannot gaurantee that
future releases will be 100% compatable.

*** NOTE *** NOTE *** NOTE *** NOTE *** NOTE *** NOTE *** NOTE *** NOTE ***

Share and Enjoy!
Graham <[email-masked]>

--
Graham Barr <[email-masked]>
Texas Instruments Ltd.